=== debian/changelog ===
tigervnc (1.14.1+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.14.1
    - Xtigervnc now supports hardware accelerated OpenGL and Vulkan on
      drivers that supports GBM (FOSS drivers and newer Nvidia drivers)
    - The viewers and servers now follow the XDG Base Directory
      Specification, like "~/.config", for storing files in the home
      directory. Existing users will continue using the legacy "~/.vnc"
      directory, but new users will get the XDG directories.
    - The native viewer now supports Apple's Diffie-Hellman and UltraVNC's
      MSLogonII authentication methods
    - The Java viewer now supports RealVNC's RSA-AES authentication method
    - The native viewer has received a mild refresh of the UI appearance
    - Reverse connections can now be forced to be view-only
    - The special "%u" marker can be specified for "PlainUsers" to
      dynamically indicate the user running the server
    - X0tigervnc now supports systemd socket activation
  * TigerVNC configuration migrated to the ~/.config/tigervnc directory.
    Thus, updated the wrapper scripts.
  * TigerVNC configuration migrated to the ~/.config/tigervnc directory.
    Thus, updated the Debian specific man pages.
  * Wrapper scripts touch files in /tmp/tigervnc.* directory hourly to
    keep them active in case of /tmp cleaner.
  * Wrapper scripts tigervncserver and x0tigervncserver support the -pidfile
    option, allowing to specify the PID file of the VNC server to be started.
    (closes: #1025457)

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 10 Nov 2024 18:57:25 +0100
