=== debian/changelog ===
tigervnc (1.15.0+dfsg-2) unstable; urgency=medium

  [ Stephan Springl ]
  * Fix inetd mode of Xtigervnc. (closes: #1104740)

 -- Joachim Falk <joachim.falk@gmx.de>  Tue, 06 May 2025 00:30:59 +0200

tigervnc (1.15.0+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.15.0
    - The native viewer and Unix servers now support the back and forward
      mouse buttons
    - The Unix servers can now handle any number of keys that are missing from
      the server keyboard layout, rather than just a few
    - x0tigervncserver now supports clipboard redirection
    - The native viewer can remember the username and password when
      reconnecting
    - The native viewer can now show a standard arrow cursor, not just a dot
      cursor, if the server cursor is blank
    - tigervncpasswd can now check password complexity with pwquality
  * Cache the VNC PasswordFile. In case the home directory becomes inaccessible,
    e.g., due to an expired Kerberos ticket, the VNC server still needs the
    content of the VNC password file. Otherwise, it is no longer possible to
    log in using the security types VncAuth or X509Vnc. (closes: #1087925)
  * Added missing dependencies to enable hardware-accelerated OpenGL and Vulkan
    APIs. (closes: #1103038)

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 18 Apr 2025 11:01:55 +0200
