=== debian/control ===
--- 
+++ 
@@ -32,6 +32,8 @@
  libavcodec-dev,
  libavutil-dev,
  libswscale-dev,
+# For hardware accelerated OpenGL and Vulkan APIs
+ libgbm-dev,
  xorg-server-source (>= 2:21.1.10),
  xserver-xorg-dev,
  appstream,
@@ -39,7 +41,7 @@
 # debhelper-compat (= 12),
  po-debconf,
  quilt,
- pkg-config,
+ pkgconf,
  bison,
  flex,
  xutils-dev (>= 1:7.6+4),
