=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,10 @@
 
 # Normal situation
 #VNC_PATCH = $(CURDIR)/unix/xserver120.patch
+VNC_PATCH = $(CURDIR)/unix/xserver21.patch
 # However in this case we do not have this file from upstream so we use a
 # debian specific copy instead.
-VNC_PATCH = $(CURDIR)/debian/xserver121.patch
+#VNC_PATCH = $(CURDIR)/debian/xserver121.patch
 
 VNC_LIBTOOL_PATCH = $(CURDIR)/contrib/packages/deb/ubuntu-jammy/debian/xorg-source-patches/debian_libtool.patch
 
@@ -87,8 +88,6 @@
 		--enable-xephyr \
 		--enable-xorg \
 		--enable-dri \
-		--enable-dri2 \
-		--enable-dri3 \
 		--enable-xmir \
 	    , $(xserver_confflags) \
 	)
@@ -102,9 +101,7 @@
 	--disable-xnest \
 	--disable-xephyr \
 	--disable-xorg \
-	--disable-dri \
-	--disable-dri2 \
-	--disable-dri3
+	--disable-dri
 
 # Don't use libunwind for armel, armhf, and arm64 as this library is buggy
 # (bug #923962) on those architectures.
